<?xml version="1.0" encoding="ISO-8859-1" ?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:rf="http://schemas.roadintranet.org/road-faq-1">

    <!-- Assumes that $topics is defined as the contents of ../xml/topics.xml
    -->
    
<xsl:template name="nav">
	<xsl:variable name="cur-sections" select="/rf:topic/rf:section" />
	<xsl:variable name="cur-file" select="/rf:topic/@file" />
	<div id="navcol">
		<h4> All Topics</h4>
		<ul>
		    <xsl:for-each select="$topics/rf:content/rf:topic[not(@hide='yes')]">
				<xsl:choose>
					<xsl:when test="@file=$cur-file">
						<li><xsl:value-of select="@title" />
								<ul>
									<xsl:for-each select="$cur-sections">
										<li><a href="#{@id}"><xsl:value-of select="@title" /></a></li>
									</xsl:for-each>
								</ul>
						</li>
					</xsl:when>
					<xsl:otherwise>
						<li><a href="{@file}"><xsl:value-of select="@title" /></a></li>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</ul>
		<form method="get" action="http://www.google.com/search">
			<table><tr><td>
				<input type="hidden" name="sitesearch" value="www.qhull.org"/>
				<input type="hidden" name="num" value="100"/>
				<input name="as_q" size="10" value=""/>
				<input type="submit" value="Search"/>
			</td></tr>
			</table>
		</form>
		<h4><a href="../xml/topic-map.xml">All items</a></h4>
		
	</div>
</xsl:template>
</xsl:stylesheet>
